Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.logging
Class HierarchyDOMConfigurator

    java.lang.Object
      |
      +--org.apache.log4j.BasicConfigurator
            |
            +--org.apache.log4j.xml.DOMConfigurator
                  |
                  +--com.bea.logging.HierarchyDOMConfigurator

public class HierarchyDOMConfigurator
extends org.apache.log4j.xml.DOMConfigurator

Extension of DOMConfigurator that allows the configuration of a specific hierarchy of categories.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class org.apache.log4j.BasicConfigurator
`DISABLE_KEY, DISABLE_OVERRIDE_KEY, INHERITED`

Constructor Summary
`HierarchyDOMConfigurator(org.apache.log4j.spi.CategoryFactory categoryFactory)` Creates a configurator that uses a specific category factory instance to create categories.

Method Summary
`void` | `configure(org.w3c.dom.Element element, org.apache.log4j.Hierarchy hierarchy)` Configure log4j using a `configuration` element as defined in the log4j.dtd for the specified hierarchy.
`protected void` | `parseCategory(org.w3c.dom.Element categoryElement, org.apache.log4j.Hierarchy hierarchy)` Used internally to parse a category element.

Methods inherited from class org.apache.log4j.xml.DOMConfigurator
`configure, configure, configure, configureAndWatch, configureAndWatch, doConfigure, doConfigure, doConfigure, findAppenderByReference, parse, parseAppender, parseChildrenOfCategoryElement, parseErrorHandler, parseFilters, parseLayout, parsePriority, parseRenderer, parseRoot, setParameter, subst`

Methods inherited from class org.apache.log4j.BasicConfigurator
`addRenderer, configure, configure, disable, disable, disableAll, disableDebug, disableInfo, enableAll, resetConfiguration, resetConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyDOMConfigurator

    public HierarchyDOMConfigurator(org.apache.log4j.spi.CategoryFactory categoryFactory)

  Creates a configurator that uses a specific category factory instance to create categories.

Method Detail

### configure

    public void configure(org.w3c.dom.Element element,
                          org.apache.log4j.Hierarchy hierarchy)

  Configure log4j using a `configuration` element as defined in the log4j.dtd for the specified hierarchy.

### parseCategory

    protected void parseCategory(org.w3c.dom.Element categoryElement,
                                 org.apache.log4j.Hierarchy hierarchy)

  Used internally to parse a category element.

  Overrides:
    parseCategory in class org.apache.log4j.xml.DOMConfigurator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)